
Redmine - Defect #3536

Case sensitivity in Issue filtering

2009-06-25 01:27 - Robert Gonzalez

Status: Closed Start date: 2009-06-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 0.8.5   

Resolution: Fixed Affected version: 0.8.4

Description

"Fee" vs "fee" returns mutually exclusive results.  It happens with the subject field, it probably happens with other text fields as well.

Related issues:

Related to Redmine - Defect #20438: Subject filter doesn't work with non ASCI... Closed

Associated revisions

Revision 2796 - 2009-06-28 14:12 - Jean-Philippe Lang

Fixed: case sensitivity in issue subject filtering (#3536).

History

#1 - 2009-06-28 14:12 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.8.5

- Resolution set to Fixed

Fixed in r2796.

#2 - 2009-07-18 17:56 - Steve Diver

While the resolution for this issue shows as fixed, the issue is still open in the roadmap. Is this correct?

#3 - 2009-07-18 18:06 - Mischa The Evil

Steve Diver wrote:

While the resolution for this issue shows as fixed, the issue is still open in the roadmap. Is this correct?

 Yes, it is. Jean-Philippe has implemented a solution for the defect in the source:/trunk in r2796 but since it's something which is planned to be

back-ported to the source:/branches/0.8-stable branch (to be included in 0.8.5) it's set to status "resolved" so it's easy to be traced when 0.8.5 is

going to be completed.

#4 - 2009-09-13 13:43 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.8-stable in r2882.

#5 - 2015-07-30 13:41 - Toshi MARUYAMA

- Related to Defect #20438: Subject filter doesn't work with non ASCII uppercase symbols added
